VULKAN_HPP_NAMESPACE::ExtensionProperties Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkExtensionProperties const & () const
| operator VkExtensionProperties & ()
bool | operator== (ExtensionProperties const &rhs) const
bool | operator!= (ExtensionProperties const &rhs) const

## Data Fields

char | extensionName [VK_MAX_EXTENSION_NAME_SIZE]
uint32_t | specVersion

## Detailed Description

Definition at line 5575 of file vulkan.hpp.

## Member Function Documentation

## operator VkExtensionProperties &()

VULKAN_HPP_NAMESPACE::ExtensionProperties::operator VkExtensionProperties & | ( |  | ) |

inline

Definition at line 5582 of file vulkan.hpp.

{
return *reinterpret_cast<VkExtensionProperties*>(this);
}

## operator VkExtensionProperties const &()

VULKAN_HPP_NAMESPACE::ExtensionProperties::operator VkExtensionProperties const & | ( |  | ) | const

inline

Definition at line 5577 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExtensionProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExtensionProperties::operator!= | ( | ExtensionProperties const & | rhs | ) | const

inline

Definition at line 5593 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ExtensionProperties::operator== | ( | ExtensionProperties const & | rhs | ) | const

inline

Definition at line 5587 of file vulkan.hpp.

{
return ( memcmp( extensionName, rhs.extensionName, VK_MAX_EXTENSION_NAME_SIZE * sizeof( char ) ) == 0 )
&& ( specVersion == rhs.specVersion );
}

References extensionName, specVersion, and VK_MAX_EXTENSION_NAME_SIZE.

Referenced by operator!=().

## Field Documentation

## extensionName

char VULKAN_HPP_NAMESPACE::ExtensionProperties::extensionName[VK_MAX_EXTENSION_NAME_SIZE]

Definition at line 5598 of file vulkan.hpp.

Referenced by operator==().

## specVersion

uint32_t VULKAN_HPP_NAMESPACE::ExtensionProperties::specVersion

Definition at line 5599 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ExtensionProperties::extensionName
char extensionName[VK_MAX_EXTENSION_NAME_SIZE]
Definition: vulkan.hpp:5598
VULKAN_HPP_NAMESPACE::ExtensionProperties::operator==
bool operator==(ExtensionProperties const &rhs) const
Definition: vulkan.hpp:5587
VK_MAX_EXTENSION_NAME_SIZE
#define VK_MAX_EXTENSION_NAME_SIZE
Definition: vulkan_core.h:108
VULKAN_HPP_NAMESPACE::ExtensionProperties::specVersion
uint32_t specVersion
Definition: vulkan.hpp:5599
VkExtensionProperties
Definition: vulkan_core.h:2047